Initialize the OpenAL audio layer

- « openal_device_close

- openal_listener_get »

- PHP Manual
- OpenAL Functions
- Initialize the OpenAL audio layer

# openal_device_open

(PECL openal >= 0.1.0)

openal_device_open — Initialize the OpenAL audio layer

### Description

openal_device_open(string `$device_desc` = ?): resource

### Parameters

`device_desc`

  Open an audio device optionally specified by `device_desc`. If `device_desc` is not specified the first available audio device will be used.

### Return Values

Returns an Open AL(Device) resource on success or `false` on failure.

### See Also

- openal_device_close() - Close an OpenAL device
- openal_context_create() - Create an audio processing context